HEX

Warning: set_time_limit() [function.set-time-limit]: Cannot set time limit - prohibited by configuration in /home/u547966/brikov.ru/www/wp-content/plugins/admin-menu-editor/menu-editor.php on line 745
Server: Apache
System: Linux 4.19.0-0.bpo.9-amd64 x86_64 at red40
User: u547966 (5490)
PHP: 5.3.29-mh2
Disabled: syslog, dl, popen, proc_open, proc_nice, proc_get_status, proc_close, proc_terminate, posix_mkfifo, chown, chgrp, accelerator_reset, opcache_reset, accelerator_get_status, opcache_get_status, pcntl_alarm, pcntl_fork, pcntl_waitpid, pcntl_wait, pcntl_wifexited, pcntl_wifstopped, pcntl_wifsignaled, pcntl_wifcontinued, pcntl_wexitstatus, pcntl_wtermsig, pcntl_wstopsig, pcntl_signal, pcntl_signal_dispatch, pcntl_get_last_error, pcntl_strerror, pcntl_sigprocmask, pcntl_sigwaitinfo, pcntl_sigtimedwait, pcntl_exec, pcntl_getpriority, pcntl_setpriority
Upload Files
File: //var/lib/dpkg/info/python3.postinst
#! /bin/sh
set -e

new_config_file()
{
    cat > /etc/python3/debian_config <<-EOF
	[DEFAULT]
	# how to byte-compile (comma separated: standard, optimize)
	byte-compile = standard
	EOF
}

case "$1" in
    configure)
	[ -d /etc/python3 ] || mkdir /etc/python3
	[ -f /etc/python3/debian_config ] || new_config_file

	oldv=$(echo $2 | sed 's/^\(...\).*/\1/')
	if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
	    echo "running python rtupdate hooks for python3.5..."
	fi
	for hook in /usr/share/python3/runtime.d/*.rtupdate; do
	    [ -x $hook ] || continue
	    if ! $hook rtupdate python$oldv python3.5; then
	        hb=$(basename $hook .rtupdate)
	        echo >&2 "error running python rtupdate hook $hb"
	        errors=yes
	    fi
	done
	[ -z "$errors" ] || exit 4

	if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
	    echo "running python post-rtupdate hooks for python3.5..."
	fi
	for hook in /usr/share/python3/runtime.d/*.rtupdate; do
	    [ -x $hook ] || continue
	    if ! $hook post-rtupdate python$oldv python3.5; then
	        hb=$(basename $hook .rtupdate)
	        echo >&2 "error running python post-rtupdate hook $hb"
	        errors=yes
	    fi
	done
	[ -z "$errors" ] || exit 5
esac

if which py3compile >/dev/null 2>&1; then
	py3compile -p python3 /usr/share/python3/
fi